Skip to content

Revenue Recognition

Revenue Recognition

Deferred revenue and accrued revenue reporting generated from finalized sales documents and their service periods.

Backfill generated revenue recognition entries

POST/revenue-recognition/backfill

Backfill generated revenue recognition entries

Header parameters

entity_idstringoptional

Entity ID on which the request is made. Auto-selected when only one entity exists, required when multiple entities exist.

Body parameters

date_fromstringoptionalnullable
date_tostringoptionalnullable
dry_runbooleanoptional
curl -X POST "https://eu.spaceinvoices.com/revenue-recognition/backfill" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "x-entity-id: YOUR_ENTITY_ID" \
  -H "Content-Type: application/json" \
  -d '{
    "date_from": "2026-01-01",
    "date_to": "2026-03-31",
    "dry_run": true
  }'
Example:

Returns

processed_documentsnumber
generated_entriesnumber
dry_runboolean
json
{
  "processed_documents": 0,
  "generated_entries": 0,
  "dry_run": true
}

Get revenue recognition settings

GET/revenue-recognition/settings

Get revenue recognition settings

Header parameters

entity_idstringoptional

Entity ID on which the request is made. Auto-selected when only one entity exists, required when multiple entities exist.

curl "https://eu.spaceinvoices.com/revenue-recognition/settings" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "x-entity-id: YOUR_ENTITY_ID"

Returns

default_methodstring
json
{
  "default_method": "off"
}

Get revenue recognition report

GET/revenue-recognition/report

Get revenue recognition report

Header parameters

entity_idstringoptional

Entity ID on which the request is made. Auto-selected when only one entity exists, required when multiple entities exist.

Query parameters

date_fromstringrequired

Report start date in YYYY-MM-DD format.

date_tostringrequired

Report end date in YYYY-MM-DD format.

basisstringoptional

recognized returns revenue recognized inside each period. deferred returns the remaining future recognition balance at the end of each period.

Possible values: "recognized", "deferred"

Default: "recognized"

group_bystringoptional

Report grouping dimension.

Possible values: "financial_category"

Default: "financial_category"

curl "https://eu.spaceinvoices.com/revenue-recognition/report?date_from=2026-01-01&date_to=2026-12-31" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "x-entity-id: YOUR_ENTITY_ID"

Returns

basisstring
group_bystring
calculation_modestring
periodsarray of objects
seriesarray of objects
totalsarray of numbers
totalnumber
currency_codestring
date_fromstring
date_tostring
json
{
  "basis": "recognized",
  "group_by": "financial_category",
  "calculation_mode": "recognition_entries",
  "periods": [
    {
      "period": "2026-01",
      "date_from": "2026-01-01",
      "date_to": "2026-01-31"
    },
    {
      "period": "2026-02",
      "date_from": "2026-02-01",
      "date_to": "2026-02-28"
    }
  ],
  "series": [
    {
      "key": "fcat_hosting",
      "financial_category_id": "fcat_hosting",
      "name": "Hosting revenue",
      "color": "#2563eb",
      "values": [
        2500,
        2500
      ],
      "total": 5000
    }
  ],
  "totals": [
    2500,
    2500
  ],
  "total": 5000,
  "currency_code": "EUR",
  "date_from": "2026-01-01",
  "date_to": "2026-02-28"
}
Example:

Get revenue recognition report details

GET/revenue-recognition/details

Get revenue recognition report details

Header parameters

entity_idstringoptional

Entity ID on which the request is made. Auto-selected when only one entity exists, required when multiple entities exist.

Query parameters

date_fromstringrequired

Report start date in YYYY-MM-DD format.

date_tostringrequired

Report end date in YYYY-MM-DD format.

basisstringoptional

recognized returns revenue recognized inside each period. deferred returns the remaining future recognition balance at the end of each period.

Possible values: "recognized", "deferred"

Default: "recognized"

group_bystringoptional

Report grouping dimension.

Possible values: "financial_category"

Default: "financial_category"

financial_category_idstringoptionalnullable

Optional category ID. Use null/omit for all categories.

curl "https://eu.spaceinvoices.com/revenue-recognition/details?date_from=2026-01-01&date_to=2026-12-31" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "x-entity-id: YOUR_ENTITY_ID"

Returns

dataarray of objects
Other parameters
calculation_modestring
totalnumber
currency_codestring
json
{
  "calculation_mode": "recognition_entries",
  "data": [
    {
      "id": "rre_123",
      "document_id": "inv_123",
      "document_type": "invoice",
      "document_number": "2026-00001",
      "document_date": "2026-01-15",
      "document_item_id": "di_123",
      "customer_id": "cus_123",
      "customer_name": "Acme Inc.",
      "financial_category_id": "fcat_hosting",
      "financial_category_name": "Hosting revenue",
      "currency_code": "EUR",
      "source_amount": 5000,
      "recognized_amount": 2500,
      "period_start": "2026-01-01",
      "period_end": "2026-01-31",
      "service_period_start": "2026-01-01",
      "service_period_end": "2026-02-28",
      "method": "service_period_daily"
    }
  ],
  "total": 2500,
  "currency_code": "EUR"
}
Example:

Update revenue recognition settings

PATCH/revenue-recognition/settings

Update revenue recognition settings

Header parameters

entity_idstringoptional

Entity ID on which the request is made. Auto-selected when only one entity exists, required when multiple entities exist.

Body parameters

default_methodstringoptionalnullable
curl -X PATCH "https://eu.spaceinvoices.com/revenue-recognition/settings" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "x-entity-id: YOUR_ENTITY_ID" \
  -H "Content-Type: application/json" \
  -d '{
    "default_method": "service_period_daily"
  }'
Example:

Returns

default_methodstring
json
{
  "default_method": "off"
}